Skip to navigation

Get Project Sessions

View as Markdown

GET /projects/sessions

Returns all sourcing sessions belonging to the project associated with the API key.

Headers

KeyValue
x-fj-api-keyfjk_

Response (200)

{
"statusCode": 200,
"data": [
{
"_id": "69f3af1695f333e46da12376",
"sessionTitle": ".NET Developer",
"jdDetail": {
"userText": "Job Title: .NET Developer, Experience: 1-5 years, Location: Pune"
},
"totalProfiles": 25
},
{
"_id": "69f2f43d07523d00cbff5367",
"sessionTitle": "Senior .NET Developer",
"jdDetail": {
"userText": "Job Title: Senior .NET Developer, Experience: 4-8 years, Location: Pune"
},
"totalProfiles": 35
}
],
"message": "Project sessions fetched successfully",
"status": "SUCCESS"
}

cURL

Replace fjk_YOUR_API_KEY_HERE, then paste and run:

curl "https://prod.api.futurejobs.ai/api/v1/wl/projects/sessions" \
-H "x-fj-api-key: fjk_YOUR_API_KEY_HERE"

Errors

  • 401 Unauthorized — invalid API key.

  • 404 Not Found — no project associated with the API key.

Authentication

x-fj-api-keystring
API Key authentication via header

Response headers

X-Powered-BystringOptional
X-Request-IdstringOptional
Access-Control-Allow-CredentialsstringOptional
RateLimit-PolicystringOptional
RateLimit-LimitstringOptional
RateLimit-RemainingstringOptional
RateLimit-ResetstringOptional
ETagstringOptional

Response

OK
statusCodeinteger
datalist of objects
messagestring
statusstring